AMQPQueue::declare
AMQPQueue::get
AMQPQueue
PHP Manual

# AMQPQueue::delete

(PECL amqp >= Unknown)

AMQPQueue::delete — Delete a queue and its contents.

### Description

publicbool AMQPQueue::delete ( void )

Delete a queue from the broker, including its entire contents of unread or unacknowledged messages.

### Parameters

This function has no parameters.

### Errors/Exceptions

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPQueue::declare
AMQPQueue::get
AMQPQueue
PHP Manual